## golang-github-tcnksm-go-input 0.0~git20180404.548a7d7

=== Makefile ===
PACKAGES = $(shell go list ./... | grep -v '/vendor/')

default: test

test-all: vet lint test test-race

test: 
	go test -v -parallel=4 ${PACKAGES}

test-race:
	go test -v -race ${PACKAGES}

vet:
	go vet ${PACKAGES}

lint:
	@go get github.com/golang/lint/golint
	go list ./... | grep -v vendor | xargs -n1 golint 

cover:
	@go get golang.org/x/tools/cmd/cover		
	go test -coverprofile=cover.out
	go tool cover -html cover.out
	rm cover.out

.PHONY: test test-race vet lint cover

=== debian/changelog ===
golang-github-tcnksm-go-input (0.0~git20180404.548a7d7-1) unstable; urgency=medium

  * Initial release (Closes: #914234)

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Nov 2018 15:13:18 -0500

=== debian/control ===
Source: golang-github-tcnksm-go-input
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-golang-x-crypto-dev
Standards-Version: 4.2.1
Homepage: https://github.com/tcnksm/go-input
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tcnksm-go-input
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tcnksm-go-input.git
XS-Go-Import-Path: github.com/tcnksm/go-input
Testsuite: autopkgtest-pkg-go

Package: golang-github-tcnksm-go-input-dev
Architecture: all
Depends: ${misc:Depends},
         golang-golang-x-crypto-dev
Description: Go package for ideal tty prompt
 go-input is a Go package for reading user input in console.
 .
 Here is the some good points compared with other/similar packages. It
 can handle SIGINT (Ctrl+C) while reading input and returns error. It
 allows one to change IO interface as io.Writer and io.Reader so it's
 easy to test of your go program with this package (This package is also
 well-tested!). It also supports raw mode input (reading input without
 prompting) for multiple platform (Darwin, Linux and Windows). Not only
 this it allows one to prompt complex input via Option struct.

=== debian/watch ===
version=4
opts=mode=git, \
https://github.com/tcnksm/go-input.git \
HEAD
